Generate a Helm values YAML for an AI Gateway instance
GET /api/ai_gateway_groups/{ai_gateway_group_id}/deployment/helm/yaml
GET /api/ai_gateway_groups/{ai_gateway_group_id}/deployment/helm/yamlInteractive request editor loads with JavaScript.
In: header
Path Parameters
AI Gateway group ID.
1 <= lengthQuery Parameters
The IP address of the control plane.
1 <= lengthThe validity period of the certificate in days.
1 <= value <= 109503650Gateway name.
Gateway namespace.
Service account to install the gateway.
The number of replicas.
1The number of worker processes for the gateway instance. By default, it is configured to match the number of CPU cores on the server hosting the gateway instance.
The CPU limit in number of cores.
The memory limit. Use the format <number><unit>.
Response Body
text/plain
application/json
curl -X GET "$API_BASE_URL/api/ai_gateway_groups/abc1234567890/deployment/helm/yaml?name=string&namespace=string&workers=5&cpu_limit=6&memory_limit=6Gi"Successfully generated the Helm values YAML for AI Gateway installation.
"extraEnvVars:\n- name: API7_CONTROL_PLANE_ENDPOINTS\n value: '[\"https://10.0.0.1:31344\"]'\n- name: API7_CONTROL_PLANE_CERT\n valueFrom:\n secretKeyRef:\n name: ai-gateway-tls\n key: tls.crt\n- name: API7_CONTROL_PLANE_KEY\n valueFrom:\n secretKeyRef:\n name: ai-gateway-tls\n key: tls.key\n- name: API7_CONTROL_PLANE_CA\n valueFrom:\n secretKeyRef:\n name: ai-gateway-tls\n key: ca.crt\nimage:\n tag: latest\n"Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/ai_gateway_groups/{ai_gateway_group_id}/deployment/helm/yaml
Generate a Helm values YAML for an AI Gateway instance
IAM Action: ai_gateway:GetAIGatewayGroup, Resource: arn:api7:ai_gateway:aigatewaygroup/%s
Generates a Helm values YAML file for deploying an AISIX AI Gateway instance in Kubernetes, connected to the specified AI Gateway group.
Parameters
ai_gateway_group_id(path, string, required): AI Gateway group ID.dp_manager_address(query, string, optional):validity_period(query, integer, optional):name(query, string, required): Gateway name.namespace(query, string, required): Gateway namespace.service_account(query, string, optional): Service account to install the gateway.replicas(query, integer, optional): The number of replicas.workers(query, integer, optional): The number of worker processes for the gateway instance. By default, it is configured to match the number of CPU cores on the server hosting the gateway instance.cpu_limit(query, string, optional): The CPU limit in number of cores.memory_limit(query, string, optional): The memory limit. Use the format<number><unit>.
Responses
200: Successfully generated the Helm values YAML for AI Gateway installation.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/ai_gateway_groups/{ai_gateway_group_id}/deployment/helm/yaml'